Bug 2098626 - [4.10.z backport] br-ex not created due to default bond interface having a different mac address than expected
Summary: [4.10.z backport] br-ex not created due to default bond interface having a di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.10.z
Assignee: Jaime Caamaño Ruiz
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 2103080
Blocks: 2108538
TreeView+ depends on / blocked
 
Reported: 2022-06-20 08:28 UTC by Jaime Caamaño Ruiz
Modified: 2022-07-28 09:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2096413
: 2108538 (view as bug list)
Environment:
Last Closed: 2022-07-25 07:07:10 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 3197 0 None open [release-4.10] Bug 2098626: configure-ovs: improve handling of static ip and mac address configuration 2022-07-08 16:28:43 UTC
Red Hat Product Errata RHSA-2022:5664 0 None None None 2022-07-25 07:07:41 UTC

Comment 2 Ross Brattain 2022-07-11 06:33:42 UTC
Tested on 4.10.0-0.ci.test-2022-07-11-020707-ci-ln-ith3vzt-latest

UPI vSphere RHCOS static-ip kargs active-backup fail_over_mac=0

after fail-over bond0 MAC still equals br-ex MAC.

ens192: <NO-CARRIER,BROADCAST,MULTICAST,SLAVE,UP> mtu 1500 qdisc mq master bond0 state DOWN mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:9a:e1 brd ff:ff:ff:ff:ff:ff
ens224: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:9a:e1 brd ff:ff:ff:ff:ff:ff permaddr 00:50:56:ac:15:8f
bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue master ovs-system state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:9a:e1 brd ff:ff:ff:ff:ff:ff
br-ex: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:9a:e1 brd ff:ff:ff:ff:ff:ff

Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: ++ nmcli --get-values bond.options conn show 1656373f-2a28-4202-a894-b8fde16e18d0
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + bond_opts=mode=active-backup,fail_over_mac=0,miimon=100
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + '[' -n mode=active-backup,fail_over_mac=0,miimon=100 ']'
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + extra_phys_args+=(bond.options "${bond_opts}")
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + MODE_REGEX='(^|,)mode=active-backup(,|$)'
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + MAC_REGEX='(^|,)fail_over_mac=(1|active|2|follow)(,|$)'
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + [[ mode=active-backup,fail_over_mac=0,miimon=100 =~ (^|,)mode=active-backup(,|$) ]]
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + [[ mode=active-backup,fail_over_mac=0,miimon=100 =~ (^|,)fail_over_mac=(1|active|2|follow)(,|$) ]]
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + '[' '!' '' = 0 ']'
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + extra_phys_args+=(802-3-ethernet.cloned-mac-address "${iface_mac}")
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + nmcli connection show ovs-if-phys0
Jul 11 02:51:08 compute-0 configure-ovs.sh[1451]: + ovs-vsctl --timeout=30 --if-exists destroy interface bond0
Jul 11 02:51:08 compute-0 ovs-vsctl[1702]: ovs|00001|vsctl|INFO|Called as ovs-vsctl --timeout=30 --if-exists destroy interface bond0


RHEL8 vSphere DHCP active_backup fail_over_mac=1

clone_mac=0

2: ens192: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:09:90 brd ff:ff:ff:ff:ff:ff
3: ens224: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:38:f2 brd ff:ff:ff:ff:ff:ff
4: ens256: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc mq master bond0 state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:46:ed brd ff:ff:ff:ff:ff:ff
5: bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue master ovs-system state UP mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:09:90 brd ff:ff:ff:ff:ff:ff
7: br-ex: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000\    link/ether 00:50:56:ac:09:90 brd ff:ff:ff:ff:ff:ff

Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + bond_opts=mode=active-backup,fail_over_mac=1,miimon=100,primary=ens192
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + '[' -n mode=active-backup,fail_over_mac=1,miimon=100,primary=ens192 ']'
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + extra_phys_args+=(bond.options "${bond_opts}")
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + MODE_REGEX='(^|,)mode=active-backup(,|$)'
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + MAC_REGEX='(^|,)fail_over_mac=(1|active|2|follow)(,|$)'
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + [[ mode=active-backup,fail_over_mac=1,miimon=100,primary=ens192 =~ (^|,)mode=active-backup(,|$) ]]
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + [[ mode=active-backup,fail_over_mac=1,miimon=100,primary=ens192 =~ (^|,)fail_over_mac=(1|active|2|follow)(,|$) ]]
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + clone_mac=0
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + '[' '!' 0 = 0 ']'
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + nmcli connection show ovs-if-phys0
Jul 11 01:13:51 rhel-0 configure-ovs.sh[1424]: + ovs-vsctl --timeout=30 --if-exists destroy interface bond0


libvirt IPI RHCOS DHCP active_backup fail_over_mac=0 

after fail-over bond0 MAC still equals br-ex MAC.

3: enp5s0: <NO-CARRIER,BROADCAST,MULTICAST,SLAVE,UP> mtu 1500 qdisc fq_codel master bond0 state DOWN mode DEFAULT group default qlen 1000\    link/ether 52:54:00:1e:40:04 brd ff:ff:ff:ff:ff:ff
4: enp6s0: <BROADCAST,MULTICAST,SLAVE,UP,LOWER_UP> mtu 1500 qdisc fq_codel master bond0 state UP mode DEFAULT group default qlen 1000\    link/ether 52:54:00:1e:40:04 brd ff:ff:ff:ff:ff:ff permaddr 52:54:00:f2:39:30
11: bond0: <BROADCAST,MULTICAST,MASTER,UP,LOWER_UP> mtu 1500 qdisc noqueue master ovs-system state UP mode DEFAULT group default qlen 1000\    link/ether 52:54:00:1e:40:04 brd ff:ff:ff:ff:ff:ff
12: br-ex: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000\    link/ether 52:54:00:1e:40:04 brd ff:ff:ff:ff:ff:ff


Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: ++ nmcli --get-values bond.options conn show a661c652-5ada-3efd-9deb-f73f9d08a896
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + bond_opts=mode=active-backup,miimon=100
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + '[' -n mode=active-backup,miimon=100 ']'
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + extra_phys_args+=(bond.options "${bond_opts}")
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + MODE_REGEX='(^|,)mode=active-backup(,|$)'
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + MAC_REGEX='(^|,)fail_over_mac=(1|active|2|follow)(,|$)'
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + [[ mode=active-backup,miimon=100 =~ (^|,)mode=active-backup(,|$) ]]
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + [[ mode=active-backup,miimon=100 =~ (^|,)fail_over_mac=(1|active|2|follow)(,|$) ]]
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + '[' '!' '' = 0 ']'
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + extra_phys_args+=(802-3-ethernet.cloned-mac-address "${iface_mac}")
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + nmcli connection show ovs-if-phys0
Jul 11 03:12:39 master-0-0 configure-ovs.sh[2003]: + ovs-vsctl --timeout=30 --if-exists destroy interface bond0

Comment 5 Ross Brattain 2022-07-20 16:02:19 UTC
Bot working?

It is in registry.ci.openshift.org/ocp/release:4.10.24-x86_64

Comment 7 errata-xmlrpc 2022-07-25 07:07:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.10.24 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5664


Note You need to log in before you can comment on or make changes to this bug.